let
  fromEnv = var: def:
    let val = builtins.getEnv var; in
    if val != "" then val else def;
in rec {
  shell = "/nix/store/lslami1s1c3fap1sy9asg7xxr15f7dq8-bash-4.4-p23/bin/bash";
  coreutils = "/nix/store/qq7w89zgxypq9mhyl04f3kh4w5cnv3h9-coreutils-8.32/bin";
  bzip2 = "/nix/store/ldkmjs634vhxaickmyj2im5xxyhxnzvv-bzip2-1.0.6.0.2-bin/bin/bzip2";
  gzip = "/nix/store/nxc018wr3a73f7wg9fb5jqj6wcsxdgdp-gzip-1.10/bin/gzip";
  xz = "/nix/store/sv2x1g135fm972qcm81nzgyq17c0wfx6-xz-5.2.5-bin/bin/xz";
  tar = "/nix/store/5ihcmn28s0s0g8vshxlap809wn5pzzn7-gnutar-1.34/bin/tar";
  tarFlags = "--warning=no-timestamp";
  tr = "/nix/store/qq7w89zgxypq9mhyl04f3kh4w5cnv3h9-coreutils-8.32/bin/tr";
  nixBinDir = fromEnv "NIX_BIN_DIR" "/nix/store/7f6z40gyd405yd50qkyzwilnqw106bx8-nix-2.3.16/bin";
  nixPrefix = "/nix/store/7f6z40gyd405yd50qkyzwilnqw106bx8-nix-2.3.16";
  nixLibexecDir = fromEnv "NIX_LIBEXEC_DIR" "/nix/store/7f6z40gyd405yd50qkyzwilnqw106bx8-nix-2.3.16/libexec";
  nixLocalstateDir = "/nix/var";
  nixSysconfDir = "/etc";
  nixStoreDir = fromEnv "NIX_STORE_DIR" "/nix/store";

  # If Nix is installed in the Nix store, then automatically add it as
  # a dependency to the core packages. This ensures that they work
  # properly in a chroot.
  chrootDeps =
    if dirOf nixPrefix == builtins.storeDir then
      [ (builtins.storePath nixPrefix) ]
    else
      [ ];
}
